# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Group			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Group_LIBRARY		= 	-lGroup	\
				-lBehavioural

Group_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/Group/lib	\
				-L$(DIR_MORPHEO)/Behavioural/lib

#-----[ Rules ]--------------------------------------------

Group_library		:
				@\
				$(MAKE)  Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Group --makefile=Makefile ;
	
Group_library_clean	:
				@\
				$(MAKE)  Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Group --makefile=Makefile clean;
